org.gnome.gtk

## Class SelectionMode

- Object
- - org.freedesktop.bindings.Constant
  - - org.gnome.gtk.SelectionMode

-     public final class SelectionMode
      extends org.freedesktop.bindings.Constant

  What kinds of selections are possible on a TreeView? These are used by `setMode()` on TreeSelection, which in turn you get by calling TreeView's `getSelection()`.

  The default is `SINGLE`.

  Since:
    4.0.5
  Author:
    Andrew Cowie

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static SelectionMode` | `BROWSE` Normally exactly one row will be selected; the user cannot deselect this row without selecting another.
    `static SelectionMode` | `MULTIPLE` Multiple rows may be selected.
    `static SelectionMode` | `NONE` Rows may not be selected.
    `static SelectionMode` | `SINGLE` One element may be selected; zero selected rows is also permitted.

  - ### Method Summary

    - ### Methods inherited from class org.freedesktop.bindings.Constant

      `toString`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### BROWSE

          public static final SelectionMode BROWSE

      Normally exactly one row will be selected; the user cannot deselect this row without selecting another. This is not all encompassing, however, as no row selected is possible as an initial state and also during interactive searches.

    - #### MULTIPLE

          public static final SelectionMode MULTIPLE

      Multiple rows may be selected. The behaviour is the same as with multiple selections elsewhere in the GNOME desktop (file browsing, etc). Mouse clicks toggle the selected row to the location of the click. The `Shift` key will cause the selection to go from the focus to the click location, and the `Ctrl` key will enlarge the selection by adding the clicked row to the other rows already selected.

    - #### NONE

          public static final SelectionMode NONE

      Rows may not be selected.

    - #### SINGLE

          public static final SelectionMode SINGLE

      One element may be selected; zero selected rows is also permitted. This it the default.